#!/bin/sh

# Set JAVA_HOME to your Java installation top-directory
export JAVA_HOME
JAVA_HOME="/usr/java"

# Set JAVA_JMF_HOME to your Java JMF installation top-directory
# uncomment and set appropriately the next two lines if you have JMF
# export JAVA_JMF_HOME
# JAVA_JMF_HOME="/home/u3/users/deba/Java/JMF1.0"

# If running on Solaris 2.6 uncomment the following line
# THREADS_FLAG=native; export THREADS_FLAG

# Set CAMCLNT_HOME to where you have installed the CamClnt jar files
CAMCLNT_HOME="/home/u3/users/deba/Java"
##########################################################################
###		    Nothing else to change below!                      ###
##########################################################################

#
# Set Paths
#
export CLASSPATH
CLASSPATH="$CAMCLNT_HOME/CamClnt.jar:$CAMCLNT_HOME:$JAVA_HOME/lib/classes.zip:$JAVA_JMF_HOME/lib/jmf.jar:$CAMCLNT_HOME/GUI.jar"

ARCH=`uname -p`
export LD_LIBRARY_PATH
LD_LIBRARY_PATH="$JAVA_HOME/lib/$ARCH:$LD_LIBRARY_PATH"

# set prog to either java or jre depending on which one you want to run
prog=java

#
# Select a java interpreter
#
JAVA=$JAVA_HOME/bin/$prog
if [ ! -x "$JAVA" ] ; then
    echo "Can't execute: $JAVA" 1>&2 
    exit 1
fi

#
# Start the announcer
#
exec $JAVA -classpath $CLASSPATH CamClnt.camInterface "$@"



